### Class

# FwupdPlugin PathStore

#### Description

    final class FwupdPlugin.PathStore : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### fu_path_store_new

No description available.

since: 2.1.1

#### Instance methods

###### fu_path_store_add_prefix

Sets the prefix path for the `kind`.

since: 2.1.1

###### fu_path_store_add_program_path

Sets a possible program path.

since: 2.1.5

###### fu_path_store_build_filename

Gets a fwupd-specific system path. These can be overridden with various environment variables, for instance `FWUPD_DATADIR`.

since: 2.1.1

###### fu_path_store_find_program

Looks for a program in a path added by `fu_path_store_add_program_path()` — in most cases this will be the same as the `PATH` environment variable.

since: 2.1.5

###### fu_path_store_get_path

Gets the defined path for the `kind`.

since: 2.1.1

###### fu_path_store_load_defaults

Load the default paths for a typical system.

since: 2.1.1

###### fu_path_store_load_from_env

Apply environment-based overrides to the existing paths.

since: 2.1.1

###### fu_path_store_set_path

Sets the defined path for the `kind`.

since: 2.1.1

###### fu_path_store_set_tmpdir

Sets the `kind` to a temporary path.

since: 2.1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginPathStoreClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.